Subject: Re: [PATCH] fix tcp_default_win_scale.

From: "David S. Miller" <[email-masked]>
Date: Fri, 9 Jul 2004 16:14:12 -0700

On Wed, 7 Jul 2004 11:06:53 -0700
Stephen Hemminger <[email-masked]> wrote:

> But: isn't it better to have just one sysctl parameter set (tcp_rmem)
> and set the window scale as needed rather than increasing the already
> bewildering array of dials and knobs?  I can't see why it would be advantageous
> to set a window scale of 7 if the largest possible window ever offered
> is limited to a smaller value? 

Stephen, here is what is going to happen if we apply your patch.

The default window scale will be 2, which is under the value which
starts to cause the problems which is 3.

So things will silently work, and most people will not notice the
problem.

I'd much rather bugs scream out saying "I'm a bug fix me!" than to
just silently linger around mostly unnoticed.